#
# spec file for package psmisc
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           psmisc
BuildRequires:  automake
BuildRequires:  gcc-c++
BuildRequires:  glibc-devel
BuildRequires:  libselinux-devel
BuildRequires:  ncurses-devel
Url:            http://sourceforge.net/projects/psmisc/
Version:        22.21
Release:        0
Provides:       ps:/usr/bin/killall
Recommends:     %{name}-lang
Summary:        Utilities for managing processes on your system
License:        GPL-2.0+
Group:          System/Monitoring
Source:         http://sourceforge.net/projects/psmisc/files/psmisc/%{name}-%{version}.tar.gz
Patch0:         %name-22.21.dif
Patch1:         %name-22.12-tigetstr.patch
Patch2:         %name-22.21-pstree.patch
Patch42:        %{name}-22.21-upstream.patch

%define nopeek  s390 s390x ia64 %sparc hppa aarch64

%description
The psmisc package contains utilities for managing processes on your
system: pstree, killall and fuser.  The pstree command displays a tree
structure of all of the running processes on your system.  The killall
command sends a specified signal (SIGTERM if nothing is specified) to
processes identified by name.  The fuser command identifies the PIDs of
processes that are using specified files or filesystems.

%lang_package

%prep
%setup -q
%patch42 -p0 -b .up
%patch1 -p0 -b .tigetstr
%patch2 -p0 -b .pstree
%patch0 -p0 -b .0

%build
autoreconf -fi
CFLAGS="-D_GNU_SOURCE ${RPM_OPT_FLAGS} -pipe"
CXXFLAGS="$CFLAGS"
export CFLAGS CXXFLAGS
%configure	--disable-rpath \
	--with-gnu-ld		\
	--enable-selinux	\
	--enable-mountinfo-list	\
	--enable-timeout-stat=static
make %{?_smp_mflags} CFLAGS="$CFLAGS" "CC=$CC"

%install
make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT/bin/
mv $RPM_BUILD_ROOT/usr/bin/fuser $RPM_BUILD_ROOT/bin/
%ifarch %nopeek
rm -f $RPM_BUILD_ROOT%{_mandir}/man1/peekfd.1*
%endif
%find_lang psmisc

%files
%defattr (-,root,root,755)
/bin/fuser
%{_bindir}/killall
%ifnarch %nopeek
%{_bindir}/peekfd
%endif
%{_bindir}/prtstat
%{_bindir}/pstree
%{_bindir}/pstree.x11
%{_mandir}/man1/fuser.1*
%{_mandir}/man1/killall.1*
%ifnarch %nopeek
%{_mandir}/man1/peekfd.1*
%endif
%{_mandir}/man1/prtstat.1*
%{_mandir}/man1/pstree.1*

%files lang -f %{name}.lang

%changelog
